Unable to PXE Boot HP 745 G3 laptop, connection timed out (http://ipxe.org/4c126035)



  • Server
    • FOG Version: 3511
    • OS: Ubuntu 12.04.5
    Client
    • Service Version:
    • OS:
    Description

    I have 350 HP 745 G3 laptops with SSDs, not the 2.5" ones but the card style and they don’t PXE boot. My 745 G2s work fine. Does anyone have any suggestion or what to try fix. I am a Linux novice so please bear with me.
    Thanks,
    Mike



  • This works now. Thanks All.


  • Moderator

    @michaeloberg Nice job. When you get to your new production fog server you will be in a better state to support new hardware and operating systems. Those NVMe disk are becoming more popular so you will have to migrate sooner or later. Plus the 1.3.x branch of fog is quite a bit faster with unicast deployments than 1.2.0 was. To get the faster deployment speeds you need to deploy a 1.2.0 image and then turn around and recapture it with 1.3.x. If you install the dev branch 1.3.5RC14 (at the time of this post) they have included a newer and faster compression/decompression function.



  • OK thanks for the information, here is what I have done to test this theory:
    Simply downloaded Ubuntu 16.04 server on a laptop now for testing, installed FOG 1.3.4 and exported the database from my old FOG server using the GUI and imported it into the new (temporary) server. Then changed my PXE service on my DHCP server (066) to reflect the new IP address. I also changed in the GUI of the new server under TFTP server and Web server to reflect the new IP address, however leaving the Storage Management server with my old IP address. I was indeed able to successfully PXE boot and image my HP G3s.

    My next step is to fire up a new VM (VMWare ESXI host) but want to maintain my repository of images and storage without redoing this if possible from my old VM. Is there any documentation regarding this concept?

    Thanks in advance,
    Michael



  • @george1421 said in Unable to PXE Boot HP 745 G3 laptop, connection timed out (http://ipxe.org/4c126035):

    Please stick with me, but I don’t know version 3511??

    That’s about 2 months after 1.2.0 was released, quite old. Ubuntu 12 is equally ancient. He needs to migrate to a new server running Debian 8 or Ubuntu 16.04:
    https://wiki.fogproject.org/wiki/index.php?title=Migrate_FOG
    Also these may be of interest:
    https://wiki.fogproject.org/wiki/index.php?title=Debian_8
    https://wiki.fogproject.org/wiki/index.php?title=Ubuntu_16.04_Server


  • Moderator

    Please stick with me, but I don’t know version 3511??

    Is that FOG 1.2.0 or a trunk version of FOG?

    The question more on point, what version of the FOS engine are you using (bzImage). My intuition is telling me you are using an old version of FOG/FOS and it doesn’t have the drivers required for that new hardware.

    FWIW: FOG 1.3.4 (stable) is SVN 6066.


 

533
Online

5.4k
Users

12.6k
Topics

118.8k
Posts